Bug 1905147 - ConsoleQuickStart Card's prerequisites is a combined text instead of a list
Summary: ConsoleQuickStart Card's prerequisites is a combined text instead of a list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Rohit Rai
QA Contact: Gajanan More
Rishu Mehra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-07 16:14 UTC by Nahshon Unna-Tsameret
Modified: 2021-09-15 17:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Currently, the prerequisites in the web console quick start cards appear as a paragraph instead of a list. This will be resolved in a future release. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1905147[*BZ#1905147*])
Clone Of:
Environment:
Last Closed: 2021-07-27 22:34:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
QS card with the problem. (68.36 KB, image/png)
2020-12-07 16:14 UTC, Nahshon Unna-Tsameret
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8133 0 None closed Bug 1905147: Show multiple pre-requisites as unordered list in popover 2021-02-17 08:48:56 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:35:11 UTC

Description Nahshon Unna-Tsameret 2020-12-07 16:14:32 UTC
Created attachment 1737364 [details]
QS card with the problem.

Description of problem:

ConsoleQuickStart Card's prerequisites is a combined text instead of a list



How reproducible:


Steps to Reproduce:
1. Create a ConsoleQuickStart CR with more than one prerequisite

For example: see this yaml:
```
prerequisites:
  - Red Hat® OpenShift® Virtualization is installed in the Red Hat® OpenShift® cluster
  - Red Hat® Subscription for importing the guest image
```

Actual results:
The text is a long string of with all the prerequisites, with not even a single space between them; see attached image

Expected results:
The prerequisites should appear as a list


Additional info:
The issue is here: https://github.com/openshift/console/blob/7b07e5c32cf890555227660edcea3ae8550e368f/frontend/packages/console-app/src/components/quick-starts/catalog/QuickStartTileDescription.tsx#L26-L28

Suggested solution:
```
<>
            <Text component={TextVariants.h5}>{t('quickstart~Prerequisites')}</Text>
            <SimpleList aria-label="Prerequisites">
              {prerequisites.map((prerequisite) => (
                <SimpleListItem>{prerequisite}</SimpleListItem>
              ))}
            </SimpleList>
          </>
```

The problem with this suggested solution is that the list items are highlighted on hover, but the link is to the quick start guide itself. It makes the wrong imresion that the link is to moe info about the specific prerequisite. I guess some fine tuning will solve it.

Comment 1 Andrew Ballantyne 2021-01-13 17:50:35 UTC
Moving to 4.8 as we lack the bandwidth to complete this in 4.7.

Comment 3 Rishu Mehra 2021-02-19 15:52:25 UTC
Updated the doc text field.

Comment 4 divgupta 2021-02-25 11:14:31 UTC
Verified this on:
Build: 4.8.0-0.nightly-2021-02-24-063313
Browser: Chrome
Works as expected.

Comment 7 errata-xmlrpc 2021-07-27 22:34:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.